Tool: delete_event
Deletes an event on the given calendar.
The following code sample shows how to use curl to call the delete_event MCP tool.
| Curl Request |
|---|
curl --location 'https://calendarmcp.googleapis.com/mcp/v1' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "delete_event", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for DeleteEvent.
DeleteEventRequest
| JSON representation |
|---|
{
"eventId": string,
"calendarId": string
"notificationLevel": enum ( |
| Fields | |
|---|---|
eventId |
Required. The ID of the event to delete. |
Union field
|
|
calendarId |
Optional. ID of the calendar containing the event. Email address - can be resolved using |
Union field
|
|
notificationLevel |
Optional. Which email notification should be sent for this event update. Default: |
NotificationLevel
Email notification level for updates.
| Enums | |
|---|---|
NOTIFICATION_LEVEL_UNSPECIFIED |
Default. The effective notification level depends on the action. |
NONE |
No notifications. |
EXTERNAL_ONLY |
External attendees only. |
ALL |
All attendees. |
Output Schema
Event
| JSON representation |
|---|
{ "id": string, "status": string, "htmlLink": string, "created": string, "updated": string, "summary": string, "description": string, "location": string, "creator": { object ( |
| Fields | |
|---|---|
id |
Unique identifier. |
status |
Optional. Status. Possible values are:
|
htmlLink |
Output only. An absolute link to this event in the Google Calendar Web UI. |
created |
Output only. Creation time (ISO 8601). |
updated |
Output only. Last modification time (ISO 8601). |
summary |
Title. |
description |
Optional. Description. Can contain HTML. |
location |
Optional. Location. |
creator |
Output only. Creator. |
organizer |
Output only. Organizer. Also listed in attendees if attending. |
start |
Start time (inclusive). For recurring events the first instance is used. |
end |
End time (exclusive). For recurring events the first instance is used. |
recurrence[] |
Recurrence rules as |
recurringEventId |
Parent recurring event ID for instances of recurring events. |
originalStartTime |
Original start time of recurring instances. This is the time at which this instance would start according to the recurrence data. |
transparency |
Optional. Deprecated: use |
visibility |
Optional. Visibility of the event. Possible values are:
|
attendees[] |
Attendees. |
conferenceUrl |
Deprecated: use |
conferenceData |
Conference data, includes a video conference link if present. |
colorId |
The color of the event. Visible to users with editor access to the calendar. This is an ID referring to an entry in the calendar's color palette (string
|
overrideReminders[] |
Override Reminders that replace the default reminders for the event. Modifications only affect the acting user's view. |
attachments[] |
File attachments. |
guestPermissions |
Guest permissions. |
eventType |
Event type. |
workingLocationProperties |
Working location properties. Populated only when |
availability |
Optional. Availability setting. |
label |
Output only. Label assigned to this event. Populated only if the event has a label. Visible to users with editor access to the calendar. |
taskId |
Output only. ID of the Google Task this event is a time block for. Populated only if |
Union field
|
|
useDefaultReminders |
Whether to use the default reminders for the event. If false and |
Principal
| JSON representation |
|---|
{ "email": string, "displayName": string, "self": boolean } |
| Fields | |
|---|---|
email |
Email. |
displayName |
Name. |
self |
Output only. Whether this principal corresponds to the calendar on which this copy of the event appears. Default: |
DateOrDateTime
| JSON representation |
|---|
{ "date": string, "dateTime": string, "timeZone": string } |
| Fields | |
|---|---|
date |
ISO 8601 date in |
dateTime |
ISO 8601 timestamp (for example, |
timeZone |
The original time zone in IANA Time Zone Database format (for example, |
Attendee
| JSON representation |
|---|
{ "id": string "email": string "displayName": string "organizer": boolean "self": boolean "resource": boolean "optionalAttendee": boolean "responseStatus": string "comment": string "additionalGuests": integer } |
| Fields | |
|---|---|
Union field
|
|
id |
Output only. Profile ID. |
Union field
|
|
email |
Required. Attendee's email address. |
Union field
|
|
displayName |
Optional. Name. |
Union field
|
|
organizer |
Output only. Whether attendee is the organizer. Default: |
Union field
|
|
self |
Output only. Whether this entry represents the calendar on which this copy of the event appears. Default: |
Union field
|
|
resource |
Optional. Whether attendee is a resource (for example, room). Immutable, can only be set when the attendee is initially added. Default: |
Union field
|
|
optionalAttendee |
Optional. Whether attendee is optional. Default: |
Union field
|
|
responseStatus |
Optional. Response status. Possible values are:
|
Union field
|
|
comment |
Output only. Response comment. |
Union field
|
|
additionalGuests |
Optional. Number of additional guests. Default: |
EventConferenceData
| JSON representation |
|---|
{ "solutionName": string, "joiningNotesText": string, "videoEntryPoint": { object ( |
| Fields | |
|---|---|
solutionName |
Name of the conference solution. |
joiningNotesText |
Conference joining notes. |
videoEntryPoint |
Video entry point. |
phoneEntryPoints[] |
List of phone entry points. |
sipEntryPoint |
SIP entry point. |
moreDetailsEntryPoint |
Additional joining instructions. |
EntryPoint
| JSON representation |
|---|
{
"uri": string,
"codes": [
{
object ( |
| Fields | |
|---|---|
uri |
Entry point uri, might be sip or video or a free text string for more details. |
codes[] |
Codes (e.g. access code, password) required to use this entry point. |
Code
| JSON representation |
|---|
{
"codeType": enum ( |
| Fields | |
|---|---|
codeType |
Type of the code |
value |
Code itself, e.g. "123456", "abcde". |
PhoneEntryPoint
| JSON representation |
|---|
{
"phoneNumber": string,
"codes": [
{
object ( |
| Fields | |
|---|---|
phoneNumber |
Phone number to join the conference call. |
codes[] |
Codes (e.g. PIN) required to join using this phone access. |
regionCode |
The region code for the country associated with this phone access. |
isTollNumber |
Whether this phone number is for a toll call. |
Reminder
| JSON representation |
|---|
{ "method": string "minutes": integer } |
| Fields | |
|---|---|
Union field
|
|
method |
Required. Delivery method. Possible values are:
|
Union field
|
|
minutes |
Required. Minutes in advance that the reminder is triggered. |
Attachment
| JSON representation |
|---|
{ "fileUrl": string "title": string } |
| Fields | |
|---|---|
Union field
|
|
fileUrl |
Required. URL link to the attachment. |
Union field
|
|
title |
Optional. Attachment title. |
GuestPermissions
| JSON representation |
|---|
{ "guestsCanInviteOthers": boolean "guestsCanModify": boolean "guestsCanSeeGuests": boolean } |
| Fields | |
|---|---|
Union field
|
|
guestsCanInviteOthers |
Optional. Whether guests can invite others. |
Union field
|
|
guestsCanModify |
Optional. Whether guests can modify the event. |
Union field
|
|
guestsCanSeeGuests |
Optional. Whether guests can see other guests. |
WorkingLocationProperties
| JSON representation |
|---|
{ "customLocationLabel": string, "officeLocation": { object ( |
| Fields | |
|---|---|
Union field location. Location specific details. location can be only one of the following: |
|
customLocationLabel |
Optional. The label for a custom location. Required if type is |
officeLocation |
Optional. The office location details. Required if type is |
Union field
|
|
type |
Optional. Working location type. |
Union field
|
|
timeZone |
Output only. Time zone (IANA Time Zone Database name, e.g., "America/Los_Angeles"). |
OfficeLocationDetails
| JSON representation |
|---|
{ "buildingId": string "floorId": string "floorSectionId": string "deskId": string "label": string } |
| Fields | |
|---|---|
Union field
|
|
buildingId |
Optional. The building ID. |
Union field
|
|
floorId |
Optional. The floor ID. |
Union field
|
|
floorSectionId |
Optional. The floor section ID. |
Union field
|
|
deskId |
Optional. The desk ID. |
Union field
|
|
label |
Optional. Human-readable label for the office location. |
Label
| JSON representation |
|---|
{ "id": string, "displayName": string, "backgroundColor": string } |
| Fields | |
|---|---|
id |
Output only. Unique identifier. |
displayName |
Optional. Display name (max 50 chars). |
backgroundColor |
Required. Background color in hex format (for example, "#039be5"). |
CodeType
Valid code types.
| Enums | |
|---|---|
CODE_TYPE_UNSPECIFIED |
Unspecified should never be used. |
ACCESS_CODE |
Access code. |
PASSCODE |
Passcode. |
PASSWORD |
Password. |
MEETING_CODE |
Meeting code. |
PIN |
PIN. |
EventType
Event type. Immutable after creation.
| Enums | |
|---|---|
EVENT_TYPE_UNSPECIFIED |
Treated as DEFAULT. |
DEFAULT |
Regular event. Default value. |
OUT_OF_OFFICE |
Out-of-office event. Out-of-office events cannot be all-day. |
FOCUS_TIME |
Focus-time event. Focus-time events cannot be all-day. |
WORKING_LOCATION |
Working location event. |
BIRTHDAY |
Special all-day event with an annual recurrence. |
FROM_GMAIL |
Event from Gmail. This type of event cannot be created. |
WorkingLocationType
Type of working location.
| Enums | |
|---|---|
WORKING_LOCATION_TYPE_UNSPECIFIED |
Unspecified working location type. Will be treated as HOME_OFFICE. |
HOME_OFFICE |
Home office. |
CUSTOM_LOCATION |
Custom location. |
OFFICE_LOCATION |
Office location. |
Availability
Availability setting for an event.
| Enums | |
|---|---|
AVAILABILITY_UNSPECIFIED |
Default. Treated as BUSY. |
AVAILABILITY_BUSY |
Blocks time on calendar. |
AVAILABILITY_FREE |
Does not block time. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ✅ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ❌
Authorization Scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/calendarhttps://www.googleapis.com/auth/calendar.events